Package org.stianloader.picoresolve.internal.meta

# Class ResolverMetaStatus

java.lang.Object
org.stianloader.picoresolve.internal.meta.ResolverMetaStatus

public class ResolverMetaStatus extends Object
The resolver-status.properties file is functionally the same as `LastUpdatedFile` but is indexing maven-metadata.xml files.

## Constructor Summary

Constructors
Constructor
Description
`ResolverMetaStatus()`

## Method Summary

Modifier and Type
Method
Description
`Long`
`getLastFetchTime(String repoId)`
`boolean`
`hasErrored(String repoId)`
`static ResolverMetaStatus`
`tryParse(@NotNull Path src)`
`ResolverMetaStatus`
`updateEntryErrored(String repoId, String error, long updateTime)`
`ResolverMetaStatus`
`updateEntrySuccess(String repoId, long updateTime)`
`void`
`write(@NotNull Path out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResolverMetaStatus

public ResolverMetaStatus()

## Method Details

### updateEntryErrored

public ResolverMetaStatus updateEntryErrored(String repoId, String error, long updateTime)

### updateEntrySuccess

public ResolverMetaStatus updateEntrySuccess(String repoId, long updateTime)

### hasErrored

public boolean hasErrored(String repoId)

### getLastFetchTime

public Long getLastFetchTime(String repoId)

### tryParse

public static ResolverMetaStatus tryParse(@NotNull @NotNull Path src)

### write

public void write(@NotNull @NotNull Path out)